<?php 
class WCAFW_OrderDetailsPage
{
	//rplc: AfterShip, woocommerce-aftership, wcafw, WCAFW
	function __construct()
	{
		add_action( 'add_meta_boxes', array( &$this, 'woocommerce_metaboxes' ) );
		//Now managed via ajax, see Order model
		//add_action( 'woocommerce_process_shop_order_meta', array( &$this, 'woocommerce_process_shop_ordermeta' ), 99, 2 ); //99: using 99 info are not embedded into emails
	}
	
	public function woocommerce_process_shop_ordermeta( $order_id, $post_obj ) 
	{
		global $wcafw_order_model;
		
		if(wcafw_get_value_if_set($_POST, 'wcafw_tracking_data', false))
		{
			 $wcafw_order_model->save_tracking_data($order_id, $_POST['wcafw_tracking_data']);
		}
			
	}
	public function woocommerce_metaboxes() 
	{
		add_meta_box( 'wcafw-woocommerce-aftership', __('AfterShip', 'woocommerce-shipping-tracking'), array( &$this, 'render_metabox' ), 'shop_order', 'side', 'high');
	}
	public function render_metabox($post = null)
	{
		global $wcafw_html_model, $wcafw_option_model, $wcafw_order_model;
		
		wp_enqueue_style( 'wcafw-add-new-company-box', WCAFW_PLUGIN_PATH.'/css/admin-add-new-company-box.css');	
		wp_enqueue_script( 'wcafw-order-details', WCAFW_PLUGIN_PATH.'/js/admin-order-details-page.js', array('jquery'));	
		wp_register_script( 'wcafw-order-details', WCAFW_PLUGIN_PATH.'/js/admin-order-details-page.js', array('jquery'));	
		wp_localize_script( 'wcafw-order-details', 'wcafw', array(
																'order_id' => $post->ID
																) );
		wp_enqueue_script( 'wcafw-order-details' );
		//Existing data -> done via js to avoid to block the UI -> Handerl defined in WCAF_HTML
		//$data = $wcafw_order_model->get_tracking_data($post->ID);
		//wcafw_var_dump($data);
		/* if(!empty($data))
			$wcafw_html_model->render_tracking_company_widget($data); */
		
		?>
		<div id="wcafw_data_form"> 
			<div id="wcafw_new_companies_container"></div>
			<div id="wcafw_loading"><?php _e('Please wait...', 'woocommerce-aftership'); ?></div>
			<?php if(!$wcafw_option_model->api_key_has_been_entered()): ?>
				<span class="wcafw_no_api_key_warning"><?php _e('No valid API Key has been entered thorugh the Options menu.', 'woocommerce-aftership'); ?></span>
			<?php else: ?>
				<button id="wcafw_add_new_company_button" class="button button-primary wcafw_button_to_disable"><?php _e('Add tracking', 'woocommerce-aftership'); ?></button>
				<button id="wcafw_save" class="button wcafw_button_to_disable"><?php _e('Save', 'woocommerce-aftership'); ?></button>
			<?php endif; ?>
		</div>
		<?php 
	}
}
?>