<?php 
class WCAFW_OrdersListPage
{
	public function __construct()
	{
		add_action( 'manage_edit-shop_order_columns', array( &$this, 'add_tracking_column'), 20, 1 );
		add_action( 'manage_shop_order_posts_custom_column', array( &$this, 'add_tacking_info_to_column'), 10,2);
	}
	//Order list columns
	function add_tracking_column($columns){ 
	
		wp_enqueue_style('wcafw-info-tracking-box', WCAFW_PLUGIN_PATH.'/css/admin-orders-list-page.css');
		wp_enqueue_script('wcafw-info-tracking-box', WCAFW_PLUGIN_PATH.'/js/admin-orders-list-page.js', array('jquery'));
		
		$columns["wcafw_tracking_data"] = __('Tracking', 'woocommerce-aftership');
		
		return $columns;
		
	}
	//Order list columns
	function add_tacking_info_to_column($column, $order_id)
	{ 
		global $wcafw_option_model,  $wcafw_order_model;	
	
		switch ( $column ) 
		{
			case "wcafw_tracking_data" :
				/* $order = wc_get_order( $order_id );
				if($order == false || $order == null)
					return; */
				$data = $wcafw_order_model->get_tracking_data( $order_id );
				$companies_list = $wcafw_option_model->get_selected_companies_list();
				$companies_complete_list = $wcafw_option_model->get_complete_companies_list();
				$options = $wcafw_option_model->get_options();
				$counter = 0;
				foreach((array)$data as $unique_id => $tracking_data):
				?>
					<div class="wcaf_tracking_data_container <?php echo ($counter++)%2==0 ? 'wcaf_tracking_data_container_even' : 'wcaf_tracking_data_container_odd'; ?>">
						
						<?php if(wcafw_get_value_if_set($options, array('orders_list_page', 'company_name'), 'yes') == 'yes'): ?>
							<label class="wcafw_label wcaf_company_code_label"><?php _e('Company', 'woocommerce-aftership'); ?></label>
							<?php echo wcafw_get_value_if_set($companies_complete_list, $tracking_data['company_code'], $tracking_data['company_code']); ?>
							<img class="wcafw_courier_logo" width="24" src="https://assets.aftership.com/couriers/svg/<?php echo $tracking_data['company_code']; ?>.svg"></img>
						<?php endif; ?>
						
						<?php if(wcafw_get_value_if_set($options, array('orders_list_page', 'tracking_code'), 'yes') == 'yes'): ?>
							<label class="wcafw_label wcaf_tracking_code_label"><?php _e('Tracking code', 'woocommerce-aftership'); ?></label>
							<span class="wcafw_tracking_code"><a target="_blank" href="https://track.aftership.com/<?php echo $tracking_data['company_code']."/".$tracking_data['tracking_code']; ?>"><?php echo $tracking_data['tracking_code']; ?></a></span>
						<?php endif; ?>
						
						<?php if(wcafw_get_value_if_set($options, array('orders_list_page', 'status'), 'yes') == 'yes'): ?>
							<label class="wcafw_label wcaf_tracking_code_label"><?php _e('Status', 'woocommerce-aftership'); ?></label>
							<span class="wcafw_tracking_status" data-order-id="<?php echo $order_id;?>" data-tracking="<?php echo $tracking_data['tracking_code'];?>" data-company="<?php echo $tracking_data['company_code'];?>"><img src="<?php echo WCAFW_PLUGIN_PATH.'/img/loader.gif'; ?>" width="24"></img></span>
						<?php endif; ?>
					</div>
				<?php	

				endforeach;
			break; 
			
			
		}
			
	}
}
?>