<?php 
class WCAFW_HTML
{
	//rplc: AfterShip, woocommerce-aftership, wcafw, WCAFW
	function __construct()
	{
		add_action('wp_ajax_wcafw_load_new_company_widget', array($this, 'ajax_wcafw_load_new_company_widget'));
		add_action('wp_ajax_wcafw_load_existing_company_widgets', array($this, 'ajax_wcafw_load_existing_company_widgets'));
	}
	public function ajax_wcafw_load_new_company_widget()
	{
		$this->render_tracking_company_widget();
		
		wp_die();
	}
	public function ajax_wcafw_load_existing_company_widgets()
	{
		global $wcafw_order_model;
		
		$data = $wcafw_order_model->get_tracking_data($_POST['order_id']);
		$this->render_tracking_company_widget($data, $_POST['order_id']);
		
		wp_die();
	}
	public function render_tracking_company_widget($data = null, $order_id = null)
	{
		global $wcafw_option_model,  $wcafw_order_model;
		
		
		$companies_list = $wcafw_option_model->get_selected_companies_list();
		$companies_complete_list = $wcafw_option_model->get_complete_companies_list();
		$unique_id = rand (12312, 9999999);
		
		?>
		<?php 
			if(!isset($data)):
			?>
			<div class="wcafw_inside" id="wcafw_company_container_<?php echo $unique_id; ?>">
				<input type="hidden" id="wcafw_delete_field_<?php echo $unique_id; ?>" name="wcafw_tracking_data[<?php echo $unique_id; ?>][type]" value="creation"></input>
				<label class="wcafw_label"><?php _e('Select company', 'woocommerce-aftership'); ?></label>
				<select name="wcafw_tracking_data[<?php echo $unique_id; ?>][company_code]">
					<?php foreach($companies_list as $company_id => $company_name): ?>
					<option value="<?php echo $company_id;?>"><?php echo $company_name;?></option>
					<?php endforeach; ?>
				</select>
				
				<label class="wcafw_label"><?php _e('Tracking code', 'woocommerce-aftership'); ?></label>
				<span id="wcafw_tracking_code_error_message_<?php echo $unique_id; ?>" class="wcafw_tracking_code_error_message"><?php _e('Cannot be empty', 'woocommerce-aftership'); ?></span>
				<input type="text" name="wcafw_tracking_data[<?php echo $unique_id; ?>][tracking_code]"></input>
				
				<label class="wcafw_label"><?php _e('Note', 'woocommerce-aftership'); ?></label>
				<textarea name="wcafw_tracking_data[<?php echo $unique_id; ?>][note]"></textarea>
				<button data-id="<?php echo $unique_id; ?>" class=" button wcafw_delete_button" id="wcafw_delete_button" data-is-temp="true"><?php _e('Delete', 'woocommerce-aftership'); ?></button>
			</div>
			<?php
			//Renders existing companies data
			else:
				foreach((array)$data as $unique_id => $tracking_data):
				$status = $wcafw_order_model->get_tracking_status($tracking_data['company_code'], $tracking_data['tracking_code'], $order_id);
			?>
				<div class="wcafw_inside" id="wcafw_company_container_<?php echo $unique_id; ?>">
					<input type="hidden" id="wcafw_delete_field_<?php echo $unique_id; ?>" name="wcafw_tracking_data[<?php echo $unique_id; ?>][to_delete]" value="no"></input>
					<input type="hidden" id="wcafw_delete_field_<?php echo $unique_id; ?>" name="wcafw_tracking_data[<?php echo $unique_id; ?>][type]" value="update"></input>
					
					<label class="wcafw_label"><?php echo wcafw_get_value_if_set($companies_complete_list, $tracking_data['company_code'], $tracking_data['company_code']); ?></label>
					<img class="wcafw_courier_logo" width="64" src="https://assets.aftership.com/couriers/svg/<?php echo $tracking_data['company_code']; ?>.svg"></img>
					<!-- <input type="text" name="wcafw_tracking_data[<?php echo $unique_id; ?>][company_code]" value="<?php echo wcafw_get_value_if_set($companies_complete_list, $tracking_data['company_code'], $tracking_data['company_code']); ?>" disabled="disabled"></input>
					-->
					
					<label class="wcafw_label"><?php _e('Tracking code', 'woocommerce-aftership'); ?></label>
					<!-- <input type="text" name="wcafw_tracking_data[<?php echo $unique_id; ?>][tracking_code]" value="<?php echo $tracking_data['tracking_code']; ?>" disabled="disabled"></input>-->
					<span class="wcafw_tracking_code"><a target="_blank" href="https://track.aftership.com/<?php echo $tracking_data['company_code']."/".$tracking_data['tracking_code']; ?>"><?php echo $tracking_data['tracking_code']; ?></a></span>
					
					<label class="wcafw_label"><?php _e('Status', 'woocommerce-aftership'); ?></label>
					<?php echo $status['status_icon']; ?>
					<span class="wcafw_status_message"><?php echo $status['status'];  ?></span>
					
					<label class="wcafw_label"><?php _e('Status message by courier', 'woocommerce-aftership'); ?></label>
					<span class="wcafw_status_message"><?php echo $status['message'];  ?></span>
					
					<label class="wcafw_label"><?php _e('Note', 'woocommerce-aftership'); ?></label>
					<textarea name="wcafw_tracking_data[<?php echo $unique_id; ?>][note]"><?php echo $tracking_data['note'] ?></textarea>
					
					<label class="wcafw_label"><?php _e('Ative notification', 'woocommerce-aftership'); ?></label>
					<p class="wcafw_small_description"><?php _e('Send an email containing the tracking info. Email template can be configured through the Email menu. In case of multiple tracking info, the plugin will send only one email containing all the data. Click the <strong>save</strong> button to send the notification.', 'woocommerce-aftership'); ?></p>
					<input type="checkbox" value="true" name="wcafw_tracking_data[<?php echo $unique_id; ?>][active_notification]"></input>
					
					<button data-id="<?php echo $unique_id; ?>" class="button wcafw_delete_button" id="wcafw_delete_button" data-is-temp="false"><?php _e('Delete', 'woocommerce-aftership'); ?></button>
				</div>
			<?php
				endforeach;
			endif;
		
	}
}
?>