let wcafw_csv_data;
let wcafw_chunk_size = 50; //min must be 2
let wcafw_last_row_chunk;
let wcafw_current_row_chunk;
let wcafw_total_data_to_send;
jQuery(document).ready(function()
{
	jQuery(document).on('change', '#csv_file_input', wcafw_on_file_selection);
	jQuery(document).on('click', '#wcafw_import_button', wcafw_start_import_process);
	jQuery(document).on('click', '#wcafw_import_another_button', wcafw_reload_page);
});
function wcafw_reload_page(event)
{
	location.reload();
}
function wcafw_on_file_selection(event)
{
	const files = event.target.files;
	if(!wcafw_browserSupportFileUpload())
	{
		alert(wcafw.not_compliant_browser_error);
		return;
	}
	Papa.parse(files[0], 
	{
		worker: true,
		complete: function(results) 
		{
			/* console.log(results.data);
			console.log(results); */
			if(results.errors.length > 0)
			{
				alert(wcafw.csv_file_format_error);
				return;
			}
			wcafw_total_data_to_send = results.data.length;
			wcafw_csv_data = results.data; //wcafw_csv_data[0] -> titles
			
		}
	});
	return false;
}
//1
function wcafw_start_import_process(event)
{
	if(wcafw_csv_data == null)
	{
		alert(wcafw.file_selection_error);
		return;
	}
	wcafw_setup_csv_data_to_send({first_run: true});
	return false;
}
//2
function wcafw_setup_csv_data_to_send(options)
{
	if(options != null && options.first_run)
	{
		wcafw_last_row_chunk = 1;
		wcafw_current_row_chunk = wcafw_chunk_size < wcafw_total_data_to_send ? wcafw_chunk_size : wcafw_total_data_to_send;
	}	
	
	var dataToSend =  [];
	dataToSend.push(wcafw_csv_data[0]);
	for(var i = wcafw_last_row_chunk;  i < wcafw_current_row_chunk; i++)
	{
		//console.log("Row: "+i);
		dataToSend.push(wcafw_csv_data[i]);
	}
	
	//UI
	wcafw_importing_data_transition_in();
	
	setTimeout(function(){wcafw_upload_csv(dataToSend)}, 1000);;
}
//3
function wcafw_upload_csv(dataToSend)
{
	var formData = new FormData();
	formData.append('action', 'wcafw_csv_import');  
	formData.append('merge_data', jQuery('#merge_data_selector').val());  
	formData.append('csv', JSON.stringify(dataToSend)); 
	var perc_num = ((wcafw_current_row_chunk/wcafw_total_data_to_send)*100);
	perc_num = perc_num > 100 ? 100:perc_num;
	
	var perc = Math.floor(perc_num);
	jQuery('#ajax-progress').html("<p>computing data, please wait...<strong>"+perc+"% done</strong></p>");
	//UI
	wcafw_set_progress_bar_level(perc);
				
	jQuery.ajax({
		url: ajaxurl, //defined in php
		type: 'POST',
		data: formData,//{action: 'upload_csv', csv: data_to_send},
		async: true,
		success: function (data) {
			//alert(data);
			wcafw_check_response(JSON.parse(data));
		},
		error: function (data) {
			//alert("error: "+data);
			wcafw_check_response(JSON.parse(data));
		},
		cache: false,
		contentType: false,
		processData: false
	});
		
}
//4
function wcafw_check_response(data)
{
	//UI
	wcafw_appent_status_text(data.message);
	
	if(data.error_code == 0 && wcafw_current_row_chunk < wcafw_total_data_to_send)
	{
		wcafw_last_row_chunk = wcafw_current_row_chunk;
		wcafw_current_row_chunk += wcafw_chunk_size;
		if(wcafw_current_row_chunk > wcafw_total_data_to_send)
			wcafw_current_row_chunk = wcafw_total_data_to_send;
		
		setTimeout(wcafw_setup_csv_data_to_send, 1000);
	}
	else
	{
		wcafw_set_progress_bar_level(100);
		wcafw_importing_data_transition_out();
	}
}
function wcafw_browserSupportFileUpload() 
{
	var isCompatible = false;
	if (window.File && window.FileReader && window.FileList && window.Blob) {
	isCompatible = true;
	}
	return isCompatible;
}