jQuery(document).ready(function()
{
	jQuery(document).on('click', '#wcafw_add_new_company_button', wcafw_add_new_company);
	jQuery(document).on('click', '.wcafw_delete_button', wcafw_delete_company);
	jQuery(document).on('click', '#wcafw_save', wcafw_save_data);
	
	wcafw_init();
});

function wcafw_on_loading()
{
	jQuery('#wcafw_loading').fadeIn();
	jQuery('.wcafw_button_to_disable').prop('disabled', true);
}
function wcaf_on_save()
{
	wcafw_on_loading();
	//jQuery('#wcafw_new_companies_container').fadeOut();
	jQuery('#wcafw_new_companies_container').append("<div class='wcafw_loading_layer' />");
}
function wcaf_on_save_competed()
{
	wcafw_completed_loading();
	jQuery('#wcafw_new_companies_container').fadeIn();
}
function wcafw_completed_loading()
{
	jQuery('#wcafw_loading').fadeOut();
	jQuery('.wcafw_button_to_disable').prop('disabled', false);
}

function wcafw_init()
{
	//UI
	wcafw_on_loading();
	
	const formData = new FormData();
	formData.append('action', 'wcafw_load_existing_company_widgets');	
	formData.append('order_id', wcafw.order_id);	
	 			
	jQuery.ajax({
			url: ajaxurl,
			type: 'POST',
			data: formData, 
			async: true,
			success: function (data) 
			{
				//UI				
				wcafw_completed_loading();
				jQuery('#wcafw_new_companies_container').html(data);
			},
			error: function (data) 
			{
				//console.log(data);
				//alert("Error: "+data);
			},
			cache: false,
			contentType: false,
			processData: false
		}); 
	
	return false;
}
function wcafw_save_data(event)
{
	event.preventDefault();
	event.stopPropagation();
	
	//UI
	wcaf_on_save();
	
	const serialized_data = jQuery('#wcafw_data_form *').serialize();
	const formData = new FormData();
	formData.append('action', 'wcafw_save_data');	
	formData.append('order_id', wcafw.order_id);
	formData.append('serialized_data', serialized_data);	
	 			
	jQuery.ajax({
			url: ajaxurl,
			type: 'POST',
			data: formData,
			async: true,
			success: function (data) 
			{
				//UI
				jQuery('#wcafw_new_companies_container').html(data);
				wcaf_on_save_competed();
			},
			error: function (data) 
			{
				//console.log(data);
				//alert("Error: "+data);
			},
			cache: false,
			contentType: false,
			processData: false
		});  
	
	return false;
}
function wcafw_add_new_company(event) 
{
	event.preventDefault();
	event.stopPropagation();
		
	//UI
	wcafw_on_loading();
	
	const formData = new FormData();
	formData.append('action', 'wcafw_load_new_company_widget');	
	 			
	jQuery.ajax({
			url: ajaxurl,
			type: 'POST',
			data: formData,
			async: true,
			success: function (data) 
			{
				//UI
				jQuery('#wcafw_new_companies_container').append(data);
				wcafw_completed_loading();
			},
			error: function (data) 
			{
				//console.log(data);
				//alert("Error: "+data);
			},
			cache: false,
			contentType: false,
			processData: false
		}); 
	
	return false;
}
function wcafw_delete_company(event)
{
	event.preventDefault();
	event.stopPropagation();
	
	const id = jQuery(event.currentTarget).data('id');
	const is_temp = jQuery(event.currentTarget).data('is-temp');
	
	if(is_temp)
	{
		jQuery('#wcafw_company_container_'+id).remove();
	}
	else 
	{
		jQuery('#wcafw_company_container_'+id).hide();
		jQuery('#wcafw_delete_field_'+id).val("yes");
	}
	
	return false;
}