<?php 
/*
Plugin Name: WooCommerce AfterShip
Description: AfterShip tracking service.
Author: 20script
Version: 3.4
*/


/* Const */
//Domain: woocommerce-aftership
define('WCAFW_PLUGIN_PATH', rtrim(plugin_dir_url(__FILE__), "/") ) ;
define('WCAFW_PLUGIN_ABS_PATH', dirname( __FILE__ ) ); ///ex.: "woocommerce/wp-content/plugins/woocommerce-aftership"
define('WCAFW_PLUGIN_LANG_PATH', basename( dirname( __FILE__ ) ) . '/languages' ) ;

//rplc: AfterShip, woocommerce-aftership, wcafw, WCAFW
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ||
     (is_multisite() && array_key_exists( 'woocommerce/woocommerce.php', get_site_option('active_sitewide_plugins') ))	
	)
{
	$wcafw_id = 23022935;
	$wcafw_name = "WooCommerce AfterShip";
	$wcafw_activator_slug = "wcafw-activator";
	
	// Classes Init 
	include_once( "classes/com/WCAFW_Globals.php"); 
	require_once('classes/admin/WCAFW_ActivationPage.php');
	
	add_action('init', 'wcafw_global_init');
	add_action('admin_menu', 'wcafw_init_act');
	if(defined('DOING_AJAX') && DOING_AJAX)
		wcafw_init_act();
	add_action('admin_notices', 'wcafw_admin_notices' );

}
function wcafw_admin_notices()
{
	global $wcafw_notice, $wcafw_name, $wcafw_activator_slug;
	if($wcafw_notice && (!isset($_GET['page']) || $_GET['page'] != $wcafw_activator_slug))
	{
		 ?>
		<div class="notice notice-success">
			<p><?php echo sprintf(__( 'To complete the <span style="color:#96588a; font-weight:bold;">%s</span> plugin activation, you must verify your purchase license. Click <a href="%s">here</a> to verify it.', 'woocommerce-aftership' ), $wcafw_name, get_admin_url()."admin.php?page=".$wcafw_activator_slug); ?></p>
		</div>
		<?php
	}
}
function wcafw_setup()
{
	global $wcafw_option_model, $wcafw_time_model, $wcafw_html_model, $wcafw_order_model, $wcafw_country_model, $wcafw_wpml_model,
		   $wcafw_shortcode_model, $wcafw_email_model;
	
	//com 
	if(!class_exists('WCAFW_AfterShip'))
		require_once('classes/com/WCAFW_AfterShip.php');
	if(!class_exists('WCAFW_Option'))
	{
		require_once('classes/com/WCAFW_Option.php');
		$wcafw_option_model = new WCAFW_Option();
	}
	if(!class_exists('WCAFW_Time'))
	{
		require_once('classes/com/WCAFW_Time.php');
		$wcafw_time_model = new WCAFW_Time();
	}
	if(!class_exists('WCAFW_HTML'))
	{
		require_once('classes/com/WCAFW_HTML.php');
		$wcafw_html_model = new WCAFW_HTML();
	}
	if(!class_exists('WCAFW_Order'))
	{
		require_once('classes/com/WCAFW_Order.php');
		 $wcafw_order_model = new WCAFW_Order();
	}
	if(!class_exists('WCAFW_Country'))
	{
		require_once('classes/com/WCAFW_Country.php');
		 $wcafw_country_model = new WCAFW_Country(); 
	}
	if(!class_exists('WCAFW_Wpml'))
	{
		require_once('classes/com/WCAFW_Wpml.php');
		 $wcafw_wpml_model = new WCAFW_Wpml(); 
	}
	if(!class_exists('WCAFW_Shortcode'))
	{
		require_once('classes/com/WCAFW_Shortcode.php');
		$wcafw_shortcode_model = new WCAFW_Shortcode(); 
	}
	if(!class_exists('WCAFW_Email'))
	{
		require_once('classes/com/WCAFW_Email.php');
		$wcafw_email_model = new WCAFW_Email(); 
	}
	
	//admin
	if(!class_exists('WCAFW_SettingsPage'))
		require_once('classes/admin/WCAFW_SettingsPage.php');
	if(!class_exists('WCAFW_ImportPage'))
		require_once('classes/admin/WCAFW_ImportPage.php');
	
	if(!class_exists('WCAFW_OrderDetailsPage'))
	{
		require_once('classes/admin/WCAFW_OrderDetailsPage.php');
		new WCAFW_OrderDetailsPage();
	}
	if(!class_exists('WCAFW_OrdersListPage'))
	{
		require_once('classes/admin/WCAFW_OrdersListPage.php');
		new WCAFW_OrdersListPage();
	}
	if(!class_exists('WCAFW_EmailNotificationPage'))
	{
		require_once('classes/admin/WCAFW_EmailNotificationPage.php');
		new WCAFW_EmailNotificationPage();
	}
	
	//frontend	
	if(!class_exists('Frontend\WCAFW_OrderDetailsPage'))
	{
		require_once('classes/frontend/WCAFW_OrderDetailsPage.php');
		new Frontend\WCAFW_OrderDetailsPage();
	}
	
	//actions 
	add_action('admin_menu', 'wcafw_init_admin_panel');
	//add_action( 'admin_init', 'wcafw_register_settings');
}
/* Functions */

function wcafw_global_init()
{
	// Languages 
	load_plugin_textdomain('woocommerce-aftership', false, basename( dirname( __FILE__ ) ) . '/languages' );
	/* if(is_admin())
		wcafw_init_act(); */
}
function wcafw_init_act()
{
	global $wcafw_activator_slug, $wcafw_name, $wcafw_id;
	new WCAFW_ActivationPage($wcafw_activator_slug, $wcafw_name, 'woocommerce-aftership', $wcafw_id, WCAFW_PLUGIN_PATH);
}
function wcafw_register_settings()
{
	register_setting('wcafw_options_group','wcafw_options');
}
function wcafw_init_admin_panel()
{ 
	$place = wcafw_get_free_menu_position(60 , .1);
	$cap = 'manage_woocommerce';
	
	/* add_menu_page( 'WooCommerce AfterShip', __('WooCommerce AfterShip', 'woocommerce-aftership'), $cap, 'woocommerce-aftership', null,  'dashicons-cart' , (string)$place);
	$wcafw_page = new WCAFW_FieldConfiguratorPage();
	$wcafw_page->add_page($cap); */
	
	add_menu_page( 'WooCommerce AfterShip', __('WooCommerce AfterShip', 'woocommerce-aftership'), $cap, 'wcafw-woocommerce-aftership', null,  WCAFW_PLUGIN_PATH."/img/menu-icon.png" , (string)$place);
	//add_submenu_page( 'woocommerce', __('WooCommerce AfterShip', 'woocommerce-aftership'),  __('AfterShip', 'woocommerce-aftership'), $cap, 'woocommerce-aftership-settings', 'wcafw_render_admin_page' );	
	add_submenu_page( 'wcafw-woocommerce-aftership', __('WooCommerce AfterShip - Settings', 'woocommerce-aftership'),  __('Settings', 'woocommerce-aftership'), $cap, 'woocommerce-aftership-settings', 'wcafw_render_admin_page' );	
	add_submenu_page( 'wcafw-woocommerce-aftership', __('WooCommerce AfterShip - Email', 'woocommerce-aftership'),  __('Email', 'woocommerce-aftership'), $cap, 'woocommerce-aftership-email-notifications', 'wcafw_render_admin_page' );	
	add_submenu_page( 'wcafw-woocommerce-aftership', __('WooCommerce AfterShip - CSV Import', 'woocommerce-aftership'),  __('Import', 'woocommerce-aftership'), $cap, 'woocommerce-aftership-import', 'wcafw_render_admin_page' );	
	remove_submenu_page( 'wcafw-woocommerce-aftership', 'wcafw-woocommerce-aftership');
}
function wcafw_render_admin_page()
{
	if(!isset($_REQUEST['page']))
		return;
	switch($_REQUEST['page'])
	{
		case 'woocommerce-aftership-settings':
		
			$settings_page = new WCAFW_SettingsPage();
			$settings_page->render_page();
		break;
		case 'woocommerce-aftership-import':
		
			$settings_page = new WCAFW_ImportPage();
			$settings_page->render_page();
		break;
		case 'woocommerce-aftership-email-notifications':
		
			$settings_page = new WCAFW_EmailNotificationPage();
			$settings_page->render_page();
		break;
	}
}
function wcafw_get_free_menu_position($start, $increment = 0.1)
{
	foreach ($GLOBALS['menu'] as $key => $menu) {
		$menus_positions[] = $key;
	}
	
	if (!in_array($start, $menus_positions)) return $start;

	/* the position is already reserved find the closet one */
	while (in_array($start, $menus_positions)) 
	{
		$start += $increment;
	}
	return (string)$start;
}

function wcafw_var_dump($var)
{
	echo "<pre>";
	var_dump($var);
	echo "</pre>";
}
?>